import { OnInit } from "@angular/core";
import { LogisticalStateDetail } from "@colijnit/transactionapi/build/model/logistical-state-detail.bo";
import { TransactionLineBaseComponent } from '../../core/base/transaction-line-base.component';
export declare class TransactionLineSidePanelToBePickedComponent extends TransactionLineBaseComponent implements OnInit {
    toBePickedHistory: LogisticalStateDetail[];
    showClass(): boolean;
    ngOnInit(): void;
    private _retrieveToBePickedHistoryData;
    handleDeleteSelectedRow(row: LogisticalStateDetail): void;
}
